apiVersion: gateway.networking.k8s.io/v1beta1
kind: HTTPRoute
metadata:
  name: strapi-dev
  namespace: agepoly
spec:
  parentRefs:
  - name: vip-240
    sectionName: ageptest
    namespace: istio-system
  hostnames: ["agepoly-strapi-dev.ageptest.ch"]
  rules:
  - matches:
    - path:
        type: PathPrefix
        value: /
    backendRefs:
    - name: strapi-dev-api
      port: 80

---
apiVersion: gateway.networking.k8s.io/v1beta1
kind: HTTPRoute
metadata:
  name: strapi-dev-vscode
  namespace: agepoly
spec:
  parentRefs:
  - name: vip-240
    sectionName: vpn
    namespace: istio-system
  hostnames: ["vscode-agepoly-strapi-dev.agepoly.ch"]
  rules:
  - matches:
    - path:
        type: PathPrefix
        value: /
    backendRefs:
    - name: strapi-dev-vscode
      port: 8443
